from datetime import datetime

from src.db.models.media import MediaActorFile, MediaFile
from pydantic import BaseModel


class MediaActorFileResponse(BaseModel):
    id: str
    file_id: str
    actor_id: str

def get_actorfile_details(media_actorfile: MediaActorFile) -> MediaActorFileResponse:
    response: MediaActorFileResponse = MediaActorFileResponse(id=media_actorfile.id, 
                                                              file_id=str(media_actorfile.media_file_id), 
                                                              actor_id=str(media_actorfile.media_actor_id))
    return response
